> ## Documentation Index
> Fetch the complete documentation index at: https://docs.northbeam.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a data export result

<div className="nb-api-tables nb-field-table">
  ## Headers

  | Header | Description |
  | :- | :- |
  | `Authorization` <span className="nb-req">required</span> | Your Northbeam API key |
  | `Data-Client-ID` <span className="nb-req">required</span> | Your Northbeam client ID |

  ## Path parameters

  <div className="nb-table-wrap"><table className="nb-main-table"><thead><tr><th>Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>export\_id</code> <span className="nb-req">required</span></td><td>string (uuid)</td><td /></tr></tbody></table></div>

  ## Responses

  | Status | Description |
  | :- | :- |
  | `200` | Data export result |
  | `401` | Unauthorized |
  | `429` | Too many requests |
  | `500` | Internal server error |

  ### `200` response body

  <div className="nb-table-wrap"><table className="nb-main-table"><thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>data\_export\_id</code></td><td>string (uuid)</td><td /></tr><tr><td><code>status</code></td><td>string</td><td>Available options: <code>"PENDING"</code>, <code>"SUCCESS"</code>, <code>"ERROR"</code></td></tr><tr><td><code>result</code></td><td>string (uri)\[]</td><td /></tr><tr><td><code>created\_at</code></td><td>string (date-time)</td><td /></tr><tr><td><code>finished\_at</code></td><td>string (date-time), nullable</td><td /></tr><tr><td><code>warn</code></td><td>object</td><td>Warning info regarding deprecated params, actions expected, etc.</td></tr></tbody></table></div>
</div>


## OpenAPI

````yaml openapi/data-export-v1.json GET /data-export/result/{export_id}
openapi: 3.0.0
info:
  title: API - DATA EXPORT - V1
  version: '1'
  description: API for exporting data from Northbeam
  termsOfService: https://www.northbeam.io/terms
servers:
  - url: https://api.northbeam.io/v1/exports
security:
  - api_key: []
    client_id: []
tags:
  - name: Sales Attribution
    description: >-
      Export performance metrics by attribution model, window, and accounting
      mode. Use the helper endpoints to discover the models, metrics, and
      breakdowns available to your account before creating the export.
  - name: Orders
    description: >-
      Export your orders (one row per order) with product information to your
      own GCS or S3 bucket.
  - name: Results
    description: Poll for and download a completed export. Shared by every report type.
paths:
  /data-export/result/{export_id}:
    get:
      tags:
        - Results
      summary: Fetch a data export result
      parameters:
        - in: path
          name: export_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Data export result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataExportResult'
        '401':
          description: Unauthorized
        '429':
          description: Too many requests
        '500':
          description: Internal server error
components:
  schemas:
    DataExportResult:
      type: object
      properties:
        data_export_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - PENDING
            - SUCCESS
            - ERROR
        result:
          type: array
          items:
            type: string
            format: uri
        created_at:
          type: string
          format: date-time
        finished_at:
          type: string
          format: date-time
          nullable: true
        warn:
          description: Warning info regarding deprecated params, actions expected, etc.
          type: object
  securitySchemes:
    api_key:
      type: apiKey
      name: Authorization
      in: header
    client_id:
      type: apiKey
      name: Data-Client-ID
      in: header

````